# Uses of Class
javajs.util.P3i

Packages that use P3i
Package
Description
javajs.util
org.jmol.api
org.jmol.export
org.jmol.g3d
Provides a software implementation of complete 3D graphics engine for rendering molecules and associated shapes.
org.jmol.jvxl.api
org.jmol.jvxl.readers
org.jmol.modelset
org.jmol.render
org.jmol.renderspecial
org.jmol.shape
org.jmol.shapesurface
org.jmol.symmetry
org.jmol.util
org.jmol.viewer

## Uses of P3i in javajs.util

Methods in javajs.util that return P3i
Modifier and Type
Method
Description
`static P3i`
P3i.`new3(int x, int y, int z)`

## Uses of P3i in org.jmol.api

Methods in org.jmol.api with parameters of type P3i
Modifier and Type
Method
Description
`void`
SymmetryInterface.`adjustRangeMinMax(T3[] oabc, float packingRange, P3i minXYZ, P3i maxXYZ, P3 rmin, P3 rmax, P3i newMin, P3i newMax)`
`void`
JmolGraphicsInterface.`drawLinePixels(P3i sA, P3i sB, int z, int zslab)`
`void`
JmolRendererInterface.`drawTriangle3C(P3i screenA, short colixA, P3i screenB, short colixB, P3i screenC, short colixC, int check)`
`void`
JmolRendererInterface.`fillCylinder(byte endcaps, int diameter, P3i screenA, P3i screenB)`
`void`
JmolRendererInterface.`fillSphereI(int diameter, P3i center)`
fills a solid sphere
`void`
JmolRendererInterface.`fillTriangle3CN(P3i screenA, short colixA, short normixA, P3i screenB, short colixB, short normixB, P3i screenC, short colixC, short normixC)`
`void`
JmolRendererInterface.`plotPixelClippedP3i(P3i a)`

## Uses of P3i in org.jmol.export

Methods in org.jmol.export with parameters of type P3i
Modifier and Type
Method
Description
`void`
Export3D.`drawLinePixels(P3i sA, P3i sB, int z, int zslab)`
`void`
Export3D.`drawTriangle3C(P3i screenA, short colixA, P3i screenB, short colixB, P3i screenC, short colixC, int check)`
`void`
Export3D.`fillCylinder(byte endcaps, int diameter, P3i pointA, P3i pointB)`
`void`
Export3D.`fillSphereI(int diameter, P3i center)`
fills a solid sphere
`void`
Export3D.`fillTriangle3CN(P3i pointA, short colixA, short normixA, P3i pointB, short colixB, short normixB, P3i pointC, short colixC, short normixC)`
`void`
Export3D.`plotPixelClippedP3i(P3i screen)`

## Uses of P3i in org.jmol.g3d

Methods in org.jmol.g3d with parameters of type P3i
Modifier and Type
Method
Description
`void`
Graphics3D.`drawLinePixels(P3i a, P3i b, int z, int zslab)`
`void`
Graphics3D.`drawTriangle3C(P3i screenA, short colixA, P3i screenB, short colixB, P3i screenC, short colixC, int check)`
`void`
Graphics3D.`fillCylinder(byte endcaps, int diameter, P3i screenA, P3i screenB)`
`void`
Graphics3D.`fillSphereI(int diameter, P3i center)`
fills a solid sphere
`void`
Graphics3D.`fillTriangle3CN(P3i screenA, short colixA, short normixA, P3i screenB, short colixB, short normixB, P3i screenC, short colixC, short normixC)`
`void`
Graphics3D.`plotPixelClippedP3i(P3i screen)`

## Uses of P3i in org.jmol.jvxl.api

Methods in org.jmol.jvxl.api with parameters of type P3i
Modifier and Type
Method
Description
`int`
VertexDataServer.`getSurfacePointIndexAndFraction(float cutoff, boolean isCutoffAbsolute, int x, int y, int z, P3i offset, int vertexA, int vertexB, float valueA, float valueB, T3 pointA, V3 edgeVector, boolean isContourType, float[] fReturn)`
getSurfacePointIndex is used by the Marching Cubes algorithm and must return a unique integer identifier for a vertex created by the Marching Cube algorithm when it finds an edge.

## Uses of P3i in org.jmol.jvxl.readers

Methods in org.jmol.jvxl.readers with parameters of type P3i
Modifier and Type
Method
Description
`int`
SurfaceReader.`getSurfacePointIndexAndFraction(float cutoff, boolean isCutoffAbsolute, int x, int y, int z, P3i offset, int vA, int vB, float valueA, float valueB, T3 pointA, V3 edgeVector, boolean isContourType, float[] fReturn)`

## Uses of P3i in org.jmol.modelset

Methods in org.jmol.modelset with parameters of type P3i
Modifier and Type
Method
Description
`void`
Text.`getPymolScreenOffset(P3 atomPt, P3i screen, int zSlab, P3 pTemp, float sppa)`
PyMOL will use 1 here for pymolOffset[0] for relative, 0 or absolute.

## Uses of P3i in org.jmol.render

Fields in org.jmol.render declared as P3i
Modifier and Type
Field
Description
`protected final P3i`
FontLineShapeRenderer.`pt0i`
`protected P3i`
MeshRenderer.`pt1i`
`protected final P3i`
FontLineShapeRenderer.`pt2i`
`protected P3i`
MeshRenderer.`pt2i`
`protected final P3i`
MeshRenderer.`pt3i`
`protected final P3i`
FontLineShapeRenderer.`s1`
`protected final P3i`
FontLineShapeRenderer.`s2`
`protected P3i[]`
MeshRenderer.`screens`
Methods in org.jmol.render with parameters of type P3i
Modifier and Type
Method
Description
`protected static void`
FontLineShapeRenderer.`drawDashedCylinder(JmolRendererInterface g3d, int xA, int yA, int zA, int xB, int yB, int zB, int[] array, int width, short colixA, short colixB, int renderD, boolean asLineOnly, P3i s1)`
`protected void`
MeshRenderer.`drawEdge(int iA, int iB, boolean fill, T3 vA, T3 vB, P3i sA, P3i sB)`
`protected void`
MeshRenderer.`drawTriangle(P3i screenA, short colixA, P3i screenB, short colixB, P3i screenC, short colixC, int check, int diam)`
`protected boolean`
LabelsRenderer.`renderText(Text text, P3i pTemp, short pointerColix, int mode)`

## Uses of P3i in org.jmol.renderspecial

Fields in org.jmol.renderspecial declared as P3i
Modifier and Type
Field
Description
`protected P3i`
DrawRenderer.`pt0i`

## Uses of P3i in org.jmol.shape

Fields in org.jmol.shape declared as P3i
Modifier and Type
Field
Description
`P3i`
Hover.`xy`
Methods in org.jmol.shape with parameters of type P3i
Modifier and Type
Method
Description
`protected int`
Shape.`coordinateInRange(int x, int y, T3 vertex, int dmin2, P3i ptXY)`

## Uses of P3i in org.jmol.shapesurface

Methods in org.jmol.shapesurface with parameters of type P3i
Modifier and Type
Method
Description
`int`
Isosurface.`getSurfacePointIndexAndFraction(float cutoff, boolean isCutoffAbsolute, int x, int y, int z, P3i offset, int vA, int vB, float valueA, float valueB, T3 pointA, V3 edgeVector, boolean isContourType, float[] fReturn)`
////////// VertexDataServer interface methods ////////////////

## Uses of P3i in org.jmol.symmetry

Fields in org.jmol.symmetry declared as P3i
Modifier and Type
Field
Description
`protected P3i`
HallInfo.`vector12ths`
Methods in org.jmol.symmetry with parameters of type P3i
Modifier and Type
Method
Description
`void`
Symmetry.`adjustRangeMinMax(T3[] oabc, float packingRange, P3i minXYZ, P3i maxXYZ, P3 rmin, P3 rmax, P3i newMin, P3i newMax)`
`void`
UnitCell.`adjustRangeMinMax(T3[] oabc, float packingRange, P3i minXYZ, P3i maxXYZ, P3 rmin, P3 rmax, P3i newMin, P3i newMax)`

## Uses of P3i in org.jmol.util

Fields in org.jmol.util declared as P3i
Modifier and Type
Field
Description
`protected static final P3i[]`
TriangleData.`cubeVertexOffsets`
Methods in org.jmol.util that return P3i
Modifier and Type
Method
Description
`P3i[]`
TempArray.`allocTempScreens(int size)`
Methods in org.jmol.util with parameters of type P3i
Modifier and Type
Method
Description
`void`
GData.`drawLinePixels(P3i sA, P3i sB, int z, int zslab)`
`void`
TempArray.`freeTempScreens(P3i[] tempScreens)`
`static void`
SimpleUnitCell.`setMinMaxLatticeParameters(int dimension, P3i minXYZ, P3i maxXYZ, int kcode)`

## Uses of P3i in org.jmol.viewer

Methods in org.jmol.viewer that return P3i
Modifier and Type
Method
Description
`P3i[]`
Viewer.`allocTempScreens(int size)`
`P3i`
TransformManager.`transformPt(T3 ptXYZ)`
RENDERERS ONLY CAUTION! returns a POINTER TO A TEMPORARY VARIABLE
`P3i`
TransformManager.`transformPt2D(T3 ptXyp)`
RENDERERS ONLY
`P3i`
TransformManager.`transformPtSafe(T3 ptXYZ)`
`P3i`
TransformManager.`transformPtVib(P3 ptXYZ, Vibration v)`
RENDERERS ONLY
`P3i`
TransformManager.`transformPtVibSafe(P3 ptXYZ, Vibration v)`
Methods in org.jmol.viewer with parameters of type P3i
Modifier and Type
Method
Description
`void`
Viewer.`freeTempScreens(P3i[] tempScreens)`
`void`
TransformManager.`transformPtScr(T3 ptXYZ, P3i pointScreen)`
RENDERERS ONLY
`void`
TransformManager.`transformPtScrSafe(T3 ptXYZ, P3i pointScreen)`